/////////////////////////////////////////////////////////////////////////
//
// CFGCFG.HPP - Declaration of ACfgConfig, configuration using AConfigFile
//
// (c) 1997 by Stefan Ruck, Frankfurt/Main, Germany
//
/////////////////////////////////////////////////////////////////////////

#ifndef _CFGCFG_HPP_
#define _CFGCFG_HPP_

#include <os2.h>

#include "cfgfile.h"

typedef struct _CFG_CONFIGURATION {
    SIZEL sizeWindow;
    BOOL bSizeWindowSaved;
} CFG_CONFIGURATION;

class ACfgConfig : public AConfigFile <CFG_CONFIGURATION>

{
  public:
    Boolean isSizeSaved ()          // was a size saved?
              { return (getConfigData () -> bSizeWindowSaved); }

    SIZEL getSize () { return (getConfigData () -> sizeWindow); } // retrieve the size

    ACfgConfig& setSize (const SIZEL sSize)                       // set the size
                { 
                  getConfigData () -> sizeWindow = sSize;
                  getConfigData () -> bSizeWindowSaved = TRUE;
                  return (*this);
                }
};

#endif // _CFGCFG_HPP_
