/////////////////////////////////////////////////////////////////////////
//
// INICFG.HPP - Declaration of AIniConfig, initialization using AIniFile
//
// (c) 1997 by Stefan Ruck, Frankfurt/Main, Germany
//
/////////////////////////////////////////////////////////////////////////

#ifndef _INICFG_HPP_
#define _INICFG_HPP_

#pragma info (none)
#include <os2.h>
#pragma info (restore)


#include "inifile.hpp"

class AIniConfig : public AIniFile

{
  public:
    Boolean isPositionSaved () const                  // is a value for the position in the profile?
              { return (containsKeyName (m_pszPosition)); }

    POINTL getPosition () const;                      // retrieve the position

    AIniConfig& setPosition (const POINTL pPosition); // save the position

  private:
    static const char * const m_pszPosition;          // position key name 
};

#endif // _INICFG_HPP_
